> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List sync history

> Returns the recent data syncs of one integration, with the state of each.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/integrations/{provider}/syncs
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/integrations/{provider}/syncs:
    get:
      tags:
        - Integrations
      summary: List sync history
      description: >-
        Returns the recent data syncs of one integration, with the state of
        each.
      operationId: sync_history
      parameters:
        - in: path
          name: provider
          schema:
            type: string
            enum:
              - ga4
              - google_ads
              - gsc
              - meta_ads
          required: true
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncHistoryResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    SyncHistoryResponse:
      type: object
      properties:
        runs:
          type: array
          items:
            $ref: '#/components/schemas/SyncRunResponse'
      required:
        - runs
    SyncRunResponse:
      type: object
      properties:
        outcome:
          $ref: '#/components/schemas/SyncOutcome'
        rows_written:
          type: integer
        days_covered:
          type: integer
        first_day:
          type: string
          format: date
          nullable: true
        last_day:
          type: string
          format: date
          nullable: true
        failure_reason:
          type: string
        started_at:
          type: string
          format: date-time
          nullable: true
        finished_at:
          type: string
          format: date-time
          nullable: true
      required:
        - days_covered
        - failure_reason
        - finished_at
        - first_day
        - last_day
        - outcome
        - rows_written
        - started_at
    SyncOutcome:
      enum:
        - running
        - succeeded
        - failed
      type: string
      description: |-
        * `running` - running
        * `succeeded` - succeeded
        * `failed` - failed
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.